NameTypeDesignationEditor typifiedNamesComboboxSelect always is readonly
Status: New Start date:
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

this is the same problem as with the TaxonNamePopEditor described in #7386

For the NameTypeDesignationEditor the problem is the missing TypeDesignationBase.setTypifiedNames() method which causues
the typifiedNamesComboboxSelect field being set readonly due to the missing setter.

Related issues:
Related to EDIT - bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$Rea... Closed

Associated revisions

Revision c790dee7 - 04/28/2018 05:28 PM - Andreas Kohlbecker

ref #7389 comment referencing the issue

History

#1 - 04/28/2018 05:26 PM - Andreas Kohlbecker
- Related to bug #7386: TaxonNamePopEditor: com.vaadin.data.Property$ReadOnlyException on saving a basionym added

#2 - 11/25/2020 01:22 PM - Andreas Kohlbecker
- Tags set to phycobank
